function header_js(str,strlength){
	mui.init({
				swipeBack: false,
				statusBarBackground: '#f7f7f7',
				gestureConfig:{
					doubletap:true
				},
				subpages: [{
					id: str+'.html',
					url: str+'.html',
					styles: {
						top: strlength+'px',
						bottom: 0,
						bounce: 'vertical'
					}
				}]
				
			});
}
function nianjixzm(str){
	var nianjixzmzhongwen;
	switch(str){
		//小学
		case '11':nianjixzmzhongwen="一年级";
		break;
		case '12':nianjixzmzhongwen="二年级";
		break;
		case '13':nianjixzmzhongwen="三年级";
		break;
		case '14':nianjixzmzhongwen="四年级";
		break;
		case '15':nianjixzmzhongwen="五年级";
		break;
		case '16':nianjixzmzhongwen="六年级";
		break;
		//初中
		case '17':nianjixzmzhongwen="初一";
		break;
		case '18':nianjixzmzhongwen="初二";
		break;
		case '19':nianjixzmzhongwen="初三";
		break;
		//高中
		case '20':nianjixzmzhongwen="高一";
		break;
		case '21':nianjixzmzhongwen="高二";
		break;
		case '22':nianjixzmzhongwen="高三";
		break;
		case '23':nianjixzmzhongwen="小考";
		break;
		case '24':nianjixzmzhongwen="中考";
		break;
		case '25':nianjixzmzhongwen="高考";
		break;
		default:nianjixzmzhongwen="无";
	}
	return nianjixzmzhongwen;
}

function ticaixzm(str){
	var ticainame=[
		{'id':'56','name':'书信','iconclass':'icon-letter'},
		{'id':'55','name':'说明文','iconclass':'icon-shuoming'},
		{'id':'54','name':'状物','iconclass':'icon-zhuangwu'},
		{'id':'53','name':'写景','iconclass':'icon-location'},
		{'id':'51','name':'写人','iconclass':'icon-user'},
		{'id':'52','name':'叙事','iconclass':'icon-edit'},
		{'id':'57','name':'日记','iconclass':'icon-riji'},
		{'id':'58','name':'读书笔记','iconclass':'icon-biji'},
		{'id':'59','name':'公文','iconclass':'icon-gongwen'},
		{'id':'60','name':'演讲稿','iconclass':'icon-yanjiang'},
		{'id':'61','name':'议论文','iconclass':'icon-lunwen'},
		{'id':'62','name':'读后感','iconclass':'icon-book'},
		{'id':'63','name':'杂文','iconclass':'icon-zawen'},
		{'id':'64','name':'散文','iconclass':'icon-sanwen'},
		{'id':'65','name':'小说','iconclass':'icon-xiaoshuo'},
		{'id':'66','name':'诗歌','iconclass':'icon-shige'},
		{'id':'67','name':'话题','iconclass':'icon-huati'},
		{'id':'68','name':'想象','iconclass':'icon-dengpao'},
		{'id':'69','name':'续写改写','iconclass':'icon-gaixie'},
		{'id':'70','name':'看图','iconclass':'icon-image'},
		{'id':'71','name':'童话寓言','iconclass':'icon-ertong'},
		{'id':'72','name':'申请书','iconclass':'icon-shenqing'},
	];
	if(str){
		for(var item in ticainame){
			if(ticainame[item].id==str){
				var ticainameok = ticainame[item].name;
				break;
			}
		}
		if(ticainameok){
			return ticainameok;
		}else{
			return '无';
		}
	}else{
		return ticainame;
	}
	 
}

function sucailist(str){
	var sucaiarray = {
		'3':'成语大全',
		'4':'名言警句',
		'5':'优美语句',
		'6':'优美段落',
		'7':'名人故事',
		'8':'历史典故',
		'9':'哲理故事',
		'10':'时事论据',
		'20':'短信祝福',
		'23':'英语素材'
	}
	if(str){
		return sucaiarray[str];
	}else{
		return sucaiarray;
	}
}

function xzjqlist(str){
	var jqarray = {
			'11':'技巧',
			'12':'写作方法',
			'13':'写作基础',
			'14':'文学常识',
			'15':'经验交流',
			'24':'英语写作',
		}
	if(str){
		return jqarray[str];
	}else{
		return jqarray;
	}
}

/**
 *
 * @returns {Array}
 */
function shubentu(){
//书本图片数组开始
	var shubentu=new Array();
	//人教版
	shubentu['32_11_1']='01.jpg'; //一年级上
	shubentu['32_11_2']='02.jpg'; //一年级下
	shubentu['32_12_1']='03.jpg'; //二年级上
	shubentu['32_12_2']='04.jpg'; //二年级下
	shubentu['32_13_1']='05.jpg'; //三年级上
	shubentu['32_13_2']='06.jpg'; //三年级下
	shubentu['32_14_1']='07.jpg'; //四年级上
	shubentu['32_14_2']='08.jpg'; //四年级下
	shubentu['32_15_1']='09.jpg'; //五年级上
	shubentu['32_15_2']='10.jpg'; //五年级下
	shubentu['32_16_1']='11.jpg'; //六年级上
	shubentu['32_16_2']='12.jpg'; //六年级下
	//苏教版
	shubentu['33_11_1']='s1.jpg'; //一年级上
	shubentu['33_11_2']='s2.png'; //一年级下
	shubentu['33_12_1']='s3.png'; //二年级上
	shubentu['33_12_2']='s4.png'; //二年级下
	shubentu['33_13_1']='s5.jpg'; //三年级上
	shubentu['33_13_2']='s6.png'; //三年级下
	shubentu['33_14_1']='s7.png'; //四年级上
	shubentu['33_14_2']='s8.jpg'; //四年级下
	shubentu['33_15_1']='s9.png'; //五年级上
	shubentu['33_15_2']='s10.jpg'; //五年级下
	shubentu['33_16_1']='s11.jpg'; //六年级上
	shubentu['33_16_2']='s12.jpg'; //六年级下
	//北师版
	shubentu['34_11_1']='b1.jpg'; //一年级上
	shubentu['34_11_2']='b2.jpg'; //一年级下
	shubentu['34_12_1']='b3.jpg'; //二年级上
	shubentu['34_12_2']='b4.jpg'; //二年级下
	shubentu['34_13_1']='b5.jpg'; //三年级上
	shubentu['34_13_2']='b6.jpg'; //三年级下
	shubentu['34_14_1']='b7.jpg'; //四年级上
	shubentu['34_14_2']='b8.jpg'; //四年级下
	shubentu['34_15_1']='b9.jpg'; //五年级上
	shubentu['34_15_2']='b10.jpg'; //五年级下
	shubentu['34_16_1']='b11.jpg'; //六年级上
	shubentu['34_16_2']='b12.jpg'; //六年级下
	//西师版
	shubentu['35_11_1']='x1.png'; //一年级上
	shubentu['35_11_2']='x2.png'; //一年级下
	shubentu['35_12_1']='x3.png'; //二年级上
	shubentu['35_12_2']='x4.png'; //二年级下
	shubentu['35_13_1']='x5.png'; //三年级上
	shubentu['35_13_2']='x6.png'; //三年级下
	shubentu['35_14_1']='x7.png'; //四年级上
	shubentu['35_14_2']='x8.png'; //四年级下
	shubentu['35_15_1']='x9.png'; //五年级上
	shubentu['35_15_2']='x10.png'; //五年级下
	shubentu['35_16_1']='x11.png'; //六年级上
	shubentu['35_16_2']='x12.png'; //六年级下
	//语文版
	shubentu['37_11_1']='y1.png'; //一年级上
	shubentu['37_11_2']='y2.png'; //一年级下
	shubentu['37_12_1']='y3.png'; //二年级上
	shubentu['37_12_2']='y4.png'; //二年级下
	shubentu['37_13_1']='y5.png'; //三年级上
	shubentu['37_13_2']='y6.png'; //三年级下
	shubentu['37_14_1']='y7.png'; //四年级上
	shubentu['37_14_2']='y8.png'; //四年级下
	shubentu['37_15_1']='y9.png'; //五年级上
	shubentu['37_15_2']='y10.png'; //五年级下
	shubentu['37_16_1']='y11.png'; //六年级上
	shubentu['37_16_2']='y12.png'; //六年级下
	return shubentu;
}

/**
 * 包含多个对象的数组
 * @returns {*[]}
 */
function array_nianji(){
	var nianji = [
		{nianji: '11', titles: '一年级', shuce: '1', titletip: '一', tips: '上'},
		{nianji: '11', titles: '一年级', shuce: '2', titletip: '一', tips: '下'},
		{nianji: '12', titles: '二年级', shuce: '1', titletip: '二', tips: '上'},
		{nianji: '12', titles: '二年级', shuce: '2', titletip: '二', tips: '下'},
		{nianji: '13', titles: '三年级', shuce: '1', titletip: '三',  tips: '上'},
		{nianji: '13', titles: '三年级', shuce: '2', titletip: '三', tips: '下'},
	 	{nianji: '14', titles: '四年级', shuce: '1', titletip: '四', tips: '上'},
	 	{nianji: '14', titles: '四年级', shuce: '2', titletip: '四', tips: '下'},
	 	{nianji: '15', titles: '五年级', shuce: '1', titletip: '五', tips: '上'},
		{nianji: '15', titles: '五年级', shuce: '2', titletip: '五', tips: '下'},
		{nianji: '16', titles: '六年级', shuce: '1', titletip: '六', tips: '上'},
		{nianji: '16', titles: '六年级', shuce: '2', titletip: '六', tips: '下'}
	];
	return nianji;
}


function explode(delimiter, string, limit) {
	if (arguments.length < 2 || typeof delimiter === 'undefined' || typeof string === 'undefined') return null;
	if (delimiter === '' || delimiter === false || delimiter === null) return false;
	if (typeof delimiter === 'function' || typeof delimiter === 'object' || typeof string === 'function' || typeof string ===
		'object') {
		return {
			0: ''
		};
	}
	if (delimiter === true) delimiter = '1';

	// Here we go...
	delimiter += '';
	string += '';

	var s = string.split(delimiter);

	if (typeof limit === 'undefined') return s;

	// Support for limit
	if (limit === 0) limit = 1;

	// Positive limit
	if (limit > 0) {
		if (limit >= s.length) return s;
		return s.slice(0, limit - 1)
			.concat([s.slice(limit - 1)
				.join(delimiter)
			]);
	}

	// Negative limit
	if (-limit >= s.length) return [];

	s.splice(s.length + limit);
	return s;
}


/**
 * 打开页面
 * @param {Object} id
 */
function open_tap(id){
	mui('#'+id).on('tap', 'a', function (e) {
        var href = this.getAttribute('href');//打开哪个页面肯定要指定
        var title = this.getAttribute('title');//打开标题多少肯定要指定
        if (!title) {
            return false;
        }
        var catid = this.getAttribute('catid');//课文类型，不需要用到的可以为空
        var typeid = this.getAttribute('typeid');//可选，在footer中可能需要
        var jibie = this.getAttribute('jibie');//可选，不需要用到的可以为空
        var nianji = this.getAttribute('nianji');//可选，不需要用到的可以为空
        var shuce = this.getAttribute('shuce');//可选，不需要用到的可以为空
        var banben = this.getAttribute('banben');//可选，不需要用到的可以为空
        var kewen_id = this.getAttribute('kewen_id');//可选，不需要用到的可以为空
        var autoid = this.getAttribute('autoid');//内容页必选，其他可选
        var tablename = this.getAttribute('tablename');//内容页必选，其他可选
        var downfile = this.getAttribute('downfile');//下载链接仅在课件下载中用到
        var about_wangzhi = this.getAttribute('about_wangzhi');//仅仅在
        
        var datakkobject = {
            href: href,
            nianji: nianji,
            title: title,
            shuce: shuce,
            banben: banben,
            kewen_id:kewen_id,
            typeid:typeid,
            catid:catid,
            autoid:autoid,
            tablename:tablename,
            downfile:downfile,
            about_wangzhi:about_wangzhi,
            jibie:jibie
        }
        
        //跳页面
        mui.openWindow({
            id: href + '?' + typeid+nianji+shuce+banben+kewen_id+catid+autoid+tablename+about_wangzhi+jibie,
            url: href,
            styles: {
                popGesture: 'close'
            },
            waiting: {
                autoShow: false
            },
            extras: datakkobject
        });
    })
}

function GetRequest(url) {
    var theRequest = new Object();
    if (url.indexOf("?") != -1) {
        var wenhao = url.indexOf("?");
        var weizhi = parseInt(wenhao)+1;         
        var str = url.substr(weizhi);
        strs = str.split("&");
        for(var i = 0; i < strs.length; i ++) {
            //alert(strs[i].split("=")[0]);
            //alert(strs[i].split("=")[1]);
            theRequest[strs[i].split("=")[0]]=(strs[i].split("=")[1]);
        }
    }
    return theRequest;
}
function LayerMsg(message, time) {
    if (!time) {
        time = 500;
    }
    layer.open({
        content: message,
        time: time
    });
}
function openBrowser(file_url) {
    plus.runtime.openURL( file_url );
}
		
